
##########################################################################
# 環境変数
###########################################################################
CC=@CC@
INSTALL=@INSTALL@
CFLAGS=@CFLAGS@
LIBS=@LIBS@
SYSTEM_MIGEMODIR=@SYSTEM_MIGEMODIR@
OBJ=filer.o file.o cmdline.o cmdline_completion.o isearch.o menu.o gui.o commands.o

###########################################################################
# インストールするディレクトリ位置
###########################################################################
prefix=@prefix@
exec_prefix=@exec_prefix@
bindir=@bindir@
datadir=@datadir@
mandir=@mandir@
sharedstatedir=@sharedstatedir@
sysconfdir=@sysconfdir@
docdir=@docdir@mfiler3
datarootdir=@datarootdir@

###########################################################################
# make
###########################################################################
all: mfiler3 mattr mfiler3.sao
	rm -f install

clean:
	rm -f mfiler3 *.o mfiler3.sao mattr mattr.exe mfiler3.exe mfiler3.exe.stackdump sash.exe.stackdump

distclean:
	rm -f mfiler3 *.o config.h Makefile mfiler3.sao mattr mattr.exe mfiler3.exe sash.exe.stackdump mfiler3.exe.stackdump

mfiler3: config.h main.c $(LIBMIGEMO) $(LIBONIG) $(OBJ)
	$(CC) -o mfiler3 main.c -DDATADIR=\"$(datadir)\" -DDOCDIR=\"$(docdir)\" -DSYSCONFDIR=\"$(sysconfdir)\" $(OBJ) $(LIBS) $(CFLAGS)

mattr: mattr.c
	$(CC) -o mattr mattr.c -lcurses

mfiler3.sao: mfiler3.sa
	saphire -c 'compile mfiler3.sa'

isearch.o: isearch.c
	$(CC) -c isearch.c  $(CFLAGS) -DSYSTEM_MIGEMODIR=\"$(SYSTEM_MIGEMODIR)\"

##########################################################################
# インストール
##########################################################################
install:
	mkdir -p "$(bindir)"
	mkdir -p "$(sysconfdir)"
	mkdir -p "$(docdir)"
	install -m 644 USAGE.ja.txt $(docdir)
	install -m 644 USAGE.en.txt $(docdir)
	rm -f $(bindir)/mfiler3
	install -s -m 755 mfiler3 $(bindir)
	install -m 644 mfiler3.sa $(sysconfdir)
	install -m 644 mfiler3.sao $(sysconfdir)
	rm -f $(bindir)/mattr
	install -s -m 755 mattr $(bindir)

